POST
/
url-ab-tests
/
{testId}
/
start
Start URL A/B Test
curl --request POST \
  --url https://jmpy.me/api/v1/url-ab-tests/{testId}/start \
  --header 'Authorization: Bearer <token>'
Change the status of a test from draft or paused to running. Once started, the short URL will begin splitting traffic according to the configured variants.

Path Parameters

testId
string
required
The short code (custom alias) of the short URL, or the UUID of the A/B test to start. First priority is given to resolving the short code.

Request Examples

curl -X POST "https://jmpy.me/api/v1/url-ab-tests/test_url_789/start" \
  -H "Authorization: Bearer <token>"

Pause Test

Pause a running test

Complete Test

Finish and pick winner

Analytics

Monitor progress

Response Examples

{
  "test": {
    "id": "test_url_789",
    "status": "running",
    "start_date": "2024-03-21T12:00:00Z"
  },
  "message": "A/B test started successfully"
}